#
# spec file for package nfoview
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           nfoview
Version:        1.23
Release:        lp150.1.28
Summary:        Simple Viewer for NFO Files
License:        GPL-3.0+
Group:          Productivity/Text/Utilities
Url:            http://otsaloma.io/nfoview/
Source:         https://github.com/otsaloma/nfoview/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  gettext
BuildRequires:  hicolor-icon-theme
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  update-desktop-files
Requires(post): hicolor-icon-theme
Requires(post): update-desktop-files
Requires(postun): hicolor-icon-theme
Requires(postun): update-desktop-files
Recommends:     %{name}-lang
Recommends:     terminus-font
BuildArch:      noarch

%description
NFO Viewer is a simple viewer for NFO files, which are "ASCII" art in
the CP437 codepage. The advantages of using NFO Viewer instead of a text
editor are preset font and encoding settings, automatic window size and
clickable hyperlinks.

%lang_package

%prep
%setup -q

%build
python3 setup.py build

%install
python3 setup.py install --root=%{buildroot} --prefix=%{_prefix}

%suse_update_desktop_file -r %{name} Office Viewer

%find_lang %{name}

%if 0%{?suse_version} < 1330
%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%endif

%files
%defattr(-,root,root,-)
%doc AUTHORS.md COPYING NEWS.md README.md
%{_bindir}/%{name}
%{_datadir}/%{name}
%dir %{_datadir}/metainfo
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/%{name}.*
%{_mandir}/man?/*
%{python3_sitelib}/%{name}
%{python3_sitelib}/*.egg-info

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Sun Nov 12 2017 zaitor@opensuse.org
- Update to version 1.23:
  * Install AppData XML file under /usr/share/metainfo.
  * Drop build dependency on intltool (use gettext instead).
  * Add Donate button to about dialog.
  * Updated translations.
- Replace intltool with gettext BuildRequires following upstreams
  port.
* Sat Sep 30 2017 zaitor@opensuse.org
- Update to version 1.22:
  * Fix window height calculation if line-spacing non-zero.
  * Fix color scheme names not translated.
  * Updated translations.
- Disable desktop_database_post/postun and
  icon_theme_cache_post/postun scriptlets on suse_version >= 1330:
  this functionality is now covered by file triggers and the macros
  expand to %%nil.
* Sat Feb 18 2017 mpluskal@suse.com
- Cleanup specfile:
  * Run spec-cleaner
  * Use pretty archive name
  * Add dependencies for scriplets
* Mon Feb  6 2017 mailaender@opensuse.org
- Update to version 1.21
* Sun Apr 29 2012 lazy.kent@opensuse.org
- Split off language package.
- Build requires python-distribute (for openSUSE >= 12.1).
- Removed check for unsupported openSUSE versions.
* Fri Jul 29 2011 lazy.kent@opensuse.org
- Initial package created - 1.9.5.
- Patch to correct font name and size.
